Import Shotgun assets. Send a list of Shotgun asset entries in the JSON body. Returns created or updated assets with parent-child relationships.
POST
/import/shotgun/assets
curl
curl -X POST "http://api.example.com/import/shotgun/assets" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"code": "Asset01",
"description": "Main character asset",
"sg_asset_type": "Character",
"project": {
"id": 11111
},
"parents": [
{
"id": 22222
}
]
}
]'
import requests
url = "http://api.example.com/import/shotgun/assets"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"code": "Asset01",
"description": "Main character asset",
"sg_asset_type": "Character",
"project": {
"id": 11111
},
"parents": [
{
"id": 22222
}
]
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/assets' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":12345,"code":"Asset01","parents":[{"id":22222}],"project":{"id":11111},"description":"Main character asset","sg_asset_type":"Character"}]'
Request example
[
{
"id": 12345,
"code": "Asset01",
"parents": [
{
"id": 22222
}
],
"project": {
"id": 11111
},
"description": "Main character asset",
"sg_asset_type": "Character"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Asset01",
"description": "Main character asset",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]